## org.hibernate.type
Class EmbeddedComponentType

    java.lang.Object
      org.hibernate.type.AbstractType
          org.hibernate.type.ComponentType
              org.hibernate.type.EmbeddedComponentType

All Implemented Interfaces:
  Serializable, CompositeType, Type

    public class EmbeddedComponentType

extends ComponentType

Author:
  Gavin King
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.hibernate.type.ComponentType
`propertySpan, tuplizerMapping`

Constructor Summary
`EmbeddedComponentType(TypeFactory.TypeScope typeScope, ComponentMetamodel metamodel)`

Method Summary
`Object` `instantiate(Object parent, SessionImplementor session)`
`boolean` `isEmbedded()` Is this component embedded? "embedded" indicates that the component is "virtual", that its properties are "flattened" onto its owner
`boolean` `isMethodOf(Method method)` Is the given method a member of this component's class?

Methods inherited from class org.hibernate.type.ComponentType

`assemble, compare, deepCopy, disassemble, fromXMLNode, getCascadeStyle, getColumnSpan, getFetchMode, getHashCode, getHashCode, getName, getPropertyIndex, getPropertyNames, getPropertyNullability, getPropertyValue, getPropertyValue, getPropertyValues, getPropertyValues, getReturnedClass, getSubtypes, getTuplizerMapping, hydrate, instantiate, isComponentType, isDirty, isDirty, isEqual, isEqual, isKey, isModified, isMutable, isSame, isXMLElement, nullSafeGet, nullSafeGet, nullSafeSet, nullSafeSet, replace, replace, resolve, semiResolve, setPropertyValues, setToXMLNode, sqlTypes, toColumnNullness, toLoggableString`

Methods inherited from class org.hibernate.type.AbstractType
`beforeAssemble, getSemiResolvedType, isAnyType, isAssociationType, isCollectionType, isEntityType, replaceNode`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.hibernate.type.Type
`beforeAssemble, getSemiResolvedType, isAnyType, isAssociationType, isCollectionType, isEntityType`

Constructor Detail

### EmbeddedComponentType

    public EmbeddedComponentType(TypeFactory.TypeScope typeScope,
                                 ComponentMetamodel metamodel)

Method Detail

### isEmbedded

    public boolean isEmbedded()

  Description copied from interface: `CompositeType`
  Is this component embedded? "embedded" indicates that the component is "virtual", that its properties are "flattened" onto its owner

  Specified by:
    `isEmbedded` in interface `CompositeType`
  Overrides:
    `isEmbedded` in class `ComponentType`
  Returns:
    True if this component is embedded; false otherwise.

### isMethodOf

    public boolean isMethodOf(Method method)

  Description copied from interface: `CompositeType`
  Is the given method a member of this component's class?

  Specified by:
    `isMethodOf` in interface `CompositeType`
  Overrides:
    `isMethodOf` in class `ComponentType`
  Parameters:
    `method` - The method to check
  Returns:
    True if the method is a member; false otherwise.

### instantiate

    public Object instantiate(Object parent,
                              SessionImplementor session)
                       throws HibernateException

  Overrides:
    `instantiate` in class `ComponentType`
  Throws:
    `HibernateException`

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.